package main

import (
	"encoding/json"
	"io/ioutil"
)

var config ConfigData

type ConfigData struct {
	Servicefiles string `json:"servicefiles"`
	Automount    []struct {
		PartitionUUID string `json:"partition-uuid"`
		Mountpoint    string `json:"mountpoint"`
	} `json:"automount"`
}

func loadConfig() {
	// Load JSON config from /etc/gl.userinit.json
	configFile := "userinit.json"

	// Read the JSON file
	data, err := ioutil.ReadFile(configFile)
	if err != nil {
		// Handle error
		return
	}

	// Unmarshal JSON data into the config struct
	err = json.Unmarshal(data, &config)
	if err != nil {
		// Handle error
		return
	}

	// Config loaded successfully
}
