package main

import (
	"fmt"
	"os/exec"
	"runtime"
	"strings"
)

type Device struct {
	Name       string
	MajMin     string
	Rm         string
	Size       string
	Ro         string
	Type       string
	MountPoint string
}

func getDevices() string {
	if runtime.GOOS == "windows" {
		return sampleOutput
	}
	cmd := exec.Command("lsblk", "-pP")
	// store the output
	output, err := cmd.Output()
	if err != nil {
		panic(err)
	}
	// convert the byte buffer to a string
	outputString := string(output)
	return outputString
}

func parseDevices(output string) []Device {
	// split the output string by new line
	lines := strings.Split(output, "\n")
	if len(lines) == 0 {
		return nil
	}
	// create a slice of devices
	devices := make([]Device, 0)
	// iterate over the lines
	for _, line := range lines {
		// skip empty lines
		if line == "" {
			continue
		}
		line = strings.ReplaceAll(line, "\"", "") // remove the quotes
		line = strings.ReplaceAll(line, "NAME=", "")
		line = strings.ReplaceAll(line, "MAJ:MIN=", "")
		line = strings.ReplaceAll(line, "RM=", "")
		line = strings.ReplaceAll(line, "SIZE=", "")
		line = strings.ReplaceAll(line, "RO=", "")
		line = strings.ReplaceAll(line, "TYPE=", "")
		line = strings.ReplaceAll(line, "MOUNTPOINT=", "")
		fmt.Println(line)

		// split the line by space
		parts := strings.Split(line, " ")

		// create a new device
		device := Device{
			Name:       parts[0],
			MajMin:     parts[1],
			Rm:         parts[2],
			Size:       parts[3],
			Ro:         parts[4],
			Type:       parts[5],
			MountPoint: parts[6],
		}
		// append the device to the slice
		devices = append(devices, device)
	}
	// return the slice of devices
	return devices
}
